/* 接单、派单窗口
 * @Author: Li Hanlin
 * @Date: 2022-12-05 11:13:26
 * @Last Modified by: Li Hanlin
 * @Last Modified time: 2022-12-05 16:31:25
 */

import React, { useState, useEffect } from 'react';
import InitForm from '@/components/InitForm';
import { doFetch } from '@/utils/doFetch';
const App = ({ type, id, actionRef, url, setdrawer }) => {
  let columns = [];
  if (type == 'wxjd') {
    columns = [
      {
        title: '协助维修人员',
        dataIndex: 'repairAssistList',
        key: 'repairAssistList',
        valueType: 'select',
        options: { path: '/repair/umRepairOrder/selection', params: { id } },
        fieldProps: {
          placeholder: '请选择',
          showSearch: true,
          mode: 'multiple',
        },
      },
    ];
  } else if (type == 'wxpd') {
    columns = [
      {
        title: '维修人员',
        dataIndex: 'faultDescription',
        key: 'faultDescription',
        valueType: 'select',
        options: { path: '/auth/sysUser/selection' },
        formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
      },
      {
        title: '协助维修人员',
        dataIndex: 'faultDescription',
        key: 'faultDescription',
        valueType: 'select',
        options: { path: '/repair/umRepairOrder/selection', params: { id } },
        fieldProps: {
          placeholder: '请选择',
          showSearch: true,
          mode: 'multiple',
        },
      },
    ];
  } else if (type == 'zzpd') {
    columns = [
      {
        title: '追踪人员',
        dataIndex: 'trackAssistList',
        key: 'trackAssistList',
        valueType: 'select',
        options: { path: '/auth/sysUser/selection' },
        formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
      },
    ];
  } else if (type == 'wpd') {
    columns = [
      {
        title: '外协人员',
        dataIndex: 'otherUnitsAssistList',
        key: 'otherUnitsAssistList',
        valueType: 'select',
        options: { path: '/auth/sysUser/selection' },
        formItemProps: { rules: [{ required: true, message: '此项为必填项' }] },
      },
    ];
  }
  return (
    <>
      <InitForm
        fields={columns}
        onFinish={async (vals) => {
          console.log(vals);
          vals.repairAssistList = vals?.repairAssistList.map((it) => {
            return {
              assistUserId: it,
            };
          });
          let params = {
            ...vals,
            id,
          };
          let res = await doFetch({
            url,
            params,
          });
          if (res.code === '0000') {
            message.success('操作成功！');
            setdrawer((s) => ({
              ...s,
              visible: false,
            }));
            actionRef.current.reload();
          }
        }}
      />
    </>
  );
};

export default App;
